/**
 Classe: LoggingUm
 Autor:  Ivan Mecenas
 Data    26/09/2004
*/
import java.io.IOException;
import java.util.logging.*;

public class LoggingUm {

   public static void main(String[] args) {
     int x = 10;
     int y = 0;
     double z = 0;

     Logger logger = Logger.getLogger("Livros.Java.Cap07");

     //  Configura logger
     String logFile = "cap07log.txt";
     ConsoleHandler ch = new ConsoleHandler();
     ch.setLevel(Level.ALL);
     logger.addHandler(ch);
     logger.setLevel(Level.ALL);
     logger.setUseParentHandlers(false);

     FileHandler fh = null;
     SimpleFormatter sf = new SimpleFormatter();

     try {
       fh = new FileHandler(logFile, 50000, 1);
       fh.setFormatter(sf);
       logger.addHandler(fh);
     }
     catch (IOException exc) {
       logger.warning("No foi possvel abrir " + logFile);
     }

     // Executa procedimentos
     logger.warning("Processamento iniciado");

     try {
       z = x/y;
     } catch (Exception exc) {
         logger.severe("Erro: diviso por zero");
     }
   }
}