/**
  Classe: ThreadEx
  Autor:  Ivan Mecenas
  Data:   30/11/2002
*/
public class ThreadEx {

  static int inflacao = 0;
  static final int limite = 8;

  public static void main (String[] args) {
    IndicePrecos[] ip = new IndicePrecos[5];

    for (int i = 0; i < 5; i++) {
      ip[i] = new IndicePrecos();
      ip[i].start();
    }

    try {
      for (int i = 0; i < 5; i++) {
        ip[i].join();
      }
    }
    catch (Exception e) {
    }

    System.out.println("Inflao atual : " + inflacao);
    System.out.println("Limite inflao: " + limite);
  }
}

class IndicePrecos extends Thread {

  public void run() {
    medeInflacao();
  }

  private void medeInflacao() {
    if (ThreadEx.inflacao < ThreadEx.limite) {
      try {
        sleep(500);
      }
      catch (InterruptedException iex) {
        return;
      }
      ThreadEx.inflacao = ThreadEx.inflacao + 2;
    }
    else {
      //nada...
    }
  }
}
