/**
  Classe: ThreadExTres
  Autor:  Ivan Mecenas
  Data:   30/11/2002
*/
public class ThreadExTres {

  static int inflacao = 0;
  static final int limite = 8;

  public static void main (String[] args) {
    IndicePrecosTres[] ip = new IndicePrecosTres[5];

    for (int i = 0; i < 5; i++) {
      ip[i] = new IndicePrecosTres();
      ip[i].start();
    }

    try {
      for (int i = 0; i < 5; i++) {
        ip[i].join();
      }
    }
    catch (Exception e) {
    }

    System.out.println("Inflao atual : " + inflacao);
    System.out.println("Limite inflao: " + limite);
  }
}

class IndicePrecosTres extends Thread {

  static Object obj = new Object();

  public void run() {
    medeInflacao();
  }

  private void medeInflacao() {

    synchronized(obj) {
      if (ThreadExTres.inflacao < ThreadExTres.limite) {
        try {
          sleep(500);
        }
        catch (InterruptedException iex) {
          return;
        }
        ThreadExTres.inflacao = ThreadExTres.inflacao + 2;
      }
      else {
        System.out.println(
          "ALERTA! A inflao atingiu "
          + ThreadExTres.inflacao
          + " pontos");
      }
    }
  }
}
