/**
 Classe: FrameLayoutQuatro
 Autor:  Ivan Mecenas
 Data:   21/11/2002
*/
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class FrameLayoutQuatro extends JFrame {

  private JPanel panel = new JPanel();
  private JButton btn1 = new JButton("Boto 1");
  private JButton btn2 = new JButton("Boto 2");
  private JButton btn3 = new JButton("Boto 3");

  public FrameLayoutQuatro() {

    super("BoxLayout - Demonstrao");

    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    });

    getContentPane().setLayout(new GridLayout());
    panel.setLayout(new BoxLayout(panel, BoxLayout.Y_AXIS));
    panel.add(btn1);
    panel.add(btn2);
    panel.add(btn3);
    getContentPane().add(panel);
  }

  public static void main(String s[]) {
    FrameLayoutQuatro frame = new FrameLayoutQuatro();
    frame.pack();
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    frame.setSize(new Dimension(400, 200));
    frame.setLocation((screenSize.width-400)/2,(screenSize.height-200)/2);
    frame.setVisible(true);
  }
}