/**
 Classe: EventoDois
 Autor:  Ivan Mecenas
 Data:   21/11/2002
*/
import java.awt.*;
import java.awt.event.*;

public class EventoDois extends Frame {

  private Button btn1 = new Button("Primeiro Boto");
  private Button btn2 = new Button("Segundo Boto");
  private Button btn3 = new Button("Terceiro Boto");

  public EventoDois() {

    super("Entendendo Eventos");

    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    });

    btn1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        System.out.println("Primeiro boto acionado");
      }
    });

    btn2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        System.out.println("Segundo boto acionado");
      }
    });

    btn3.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        System.out.println("Terceiro boto acionado");
      }
    });

    setLayout(null);

    btn1.setBounds(20, 40, 150, 30);
    btn2.setBounds(20, 80, 150, 30);
    btn3.setBounds(20, 120, 150, 30);

    add(btn1);
    add(btn2);
    add(btn3);
  }

  public static void main(String[] args) {
    EventoDois frame = new EventoDois();
    frame.pack();
    frame.setSize(600, 300);
    frame.setVisible(true);
  }
}
