/**
 Classe: EventoTres
 Autor:  Ivan Mecenas
 Data:   22/11/2002
*/
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class EventoTres extends JFrame {

  private JButton btn1 = new JButton("Primeiro Boto");
  private JButton btn2 = new JButton("Segundo Boto");
  private JButton btn3 = new JButton("Terceiro Boto");
  private TrataEventos handler = new TrataEventos();

  public EventoTres() {

    super("Entendendo Eventos");

    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    });

    btn1.addActionListener(handler);
    btn2.addActionListener(handler);
    btn3.addActionListener(handler);

    getContentPane().setLayout(null);
    btn1.setBounds(20, 40, 150, 30);
    btn2.setBounds(20, 80, 150, 30);
    btn3.setBounds(20, 120, 150, 30);
    getContentPane().add(btn1);
    getContentPane().add(btn2);
    getContentPane().add(btn3);
  }

  public static void main(String[] args) {
    EventoTres frame = new EventoTres();
    frame.pack();
    frame.setSize(600, 300);
    frame.setVisible(true);
  }

  private class TrataEventos implements ActionListener {

    public void actionPerformed(ActionEvent e)
    {
      if (e.getSource() == btn1) {
        JOptionPane.showMessageDialog(null, "Primeiro boto acionado");
      }
      else if (e.getSource() == btn2) {
        JOptionPane.showMessageDialog(null, "Segundo boto acionado");
      }
      else if (e.getSource() == btn3) {
        JOptionPane.showMessageDialog(null, "Terceiro boto acionado");
      }
    }
  }
}
